
#include "mbed.h"
#include <stdio.h>
#include <string.h>

//#include <conio.h>
DigitalOut LedVerde(LED2);
DigitalOut LedRojo(LED1);
DigitalOut LedAzul(LED3);

Serial GSM(PTE0,PTE1);  //puertos del FRDM para el modem
Serial pc(USBTX,USBRX);
int num1, num2, i1,i2,j1,j2,k1,k2;
char med[3];
AnalogIn input1(PTC1);  //Canal 1
AnalogIn input2(PTC2);  //Canal 2

int main(void)
{
    pc.baud(9600);   // asigno baudios y configuro puerto serie
    pc.format(8,Serial::None,1);
    GSM.baud(9600);   // asigno baudios y configuro puerto serie de la usart
    GSM.format(8,Serial::None,1);
    while(1) {
        //leo puerto analogico canal 1
        wait(0.5);
        num1 = input1*1000;      //agrando el numero de cero a mil

        //leo puerto analogico canal 2
        wait(0.5);
        num2 = input2*1000;      //agrando el numero de cero a mil
        wait(0.5);
        pc.printf("%i, %i ", num1, num2);
        GSM.printf("%i, %i, ", num1, num2);
    }
}

